Via Tweets

How to Install Ruby on Rails on Ubuntu 12.04 LTS

Step One— Install Ruby with RVM

Before we do anything else, we should run a quick update to make sure that all of the packages we download to our VPS are up to date:

sudo apt-get update
Once that's done, we can start installing RVM, Ruby Version Manager. This is a great program that lets you use several versions of Ruby on one server; however, in this case, we will just use it to install the latest version of Ruby on the droplet. 



If you do not have curl on your system, you can start by installing it:
sudo apt-get install curl



To install RVM, open terminal and type in this command:

\curl -L https://get.rvm.io | bash -s stable



After it is done installing, load RVM. You may first need to exit out of your shell session and start up a new one.

source ~/.rvm/scripts/rvm



In order to work, RVM has some of its own dependancies that need to be installed. You can see what these are:

rvm requirements



In the text that RVM shows you, look for this paragraph.

Additional Dependencies:
# For ruby:
apt-get --no-install-recommends install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev libgdbm-dev ncurses-dev automake libtool bison subversion pkg-config libffi-dev



Just follow the instructions to get your system up to date with all of the required dependancies.

 sudo apt-get --no-install-recommends install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev libgdbm-dev ncurses-dev automake libtool bison subversion pkg-config libffi-dev



On occasion the zlib package may be reported as missing. The RVM page describes the issue and the solution in greater detail here.

Step Two—Install Ruby
Once you are using RVM, installing Ruby is easy.

rvm install 1.9.3



Ruby is now installed. However, since we accessed it through a program that has a variety of Ruby versions, we need to tell the system to use 1.9.3 by default.

rvm use 1.9.3 --default
Step Three—Install RubyGems

The next step makes sure that we have all the required components of Ruby on Rails. We can continue to use RVM to install gems; type this line into terminal.

 rvm rubygems current
Step Four—Install Rails

Once everything is set up, it is time to install Rails.



To start, open terminal and type in:

gem install rails



This process may take a while, be patient with it. Once it finishes you will have Ruby on Rails installed on your droplet.